package net.kldp.logviewer;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class Perspective implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
		String editorArea = layout.getEditorArea();
		layout.setEditorAreaVisible(false);
		
		layout.addStandaloneView(NavigationView.ID,  false, IPageLayout.LEFT, 0.2f, editorArea);		
		
		// 처음시작되면 왼쪽 tree에 있는 것들을 시작한다.		
		layout.getViewLayout(NavigationView.ID).setCloseable(false);
		
	}
}
